*;
*  Vince DelGobbo, April 20, 2022
*  Based on (LACKFIT option not used) PROC REG Example 104.6: Chemical Reaction Response
*  Source: https://documentation.sas.com/doc/en/pgmsascdc/9.4_3.5/statug/statug_reg_examples06.htm
*;

ods graphics off;

*  Create a global macro variable and then use it in the import;

%let XLSX_FILE=C:\temp\reaction.xlsx;

*  Create the sample data (requires a SAS/ACCESS Interface to PC Files license);

proc import out=work.reaction
  file="&XLSX_FILE"
  dbms=xlsx
  replace;
run; quit;

*  Briefly examine the data (included with your Base license);

title 'Sample Data - Contents';
proc contents data=work.reaction varnum; run; quit;

title 'Sample Data - First 5 Records';
proc print data=work.reaction(obs=5); run; quit;

title 'Sample Data - Basic Statistics';
proc means data=work.reaction n mean std min p25 p50 p75 max; run; quit;

*  Perform the regression analysis (requires a SAS/STAT license);

title 'Sample Data - Regression Analysis';
proc reg data=work.reaction;
  model  ReactionPercentage=FeedRate Catalyst AgitRate
                            Temperature Concentration;
run; quit;
